package com.lij.himeeter.common.utils;

import com.github.pagehelper.PageHelper;
import com.lij.himeeter.common.core.page.PageDomain;
import com.lij.himeeter.common.core.page.TableSupport;
import com.lij.himeeter.common.utils.sql.SqlUtil;

/**
 * <pre>
 *
 * 文件名 :  PageUtils
 * 创建时间 : 2025年01月02日 15:51
 *
 * 文件描述 : 分页工具类
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */

public class PageUtils extends PageHelper {

    /**
     * 设置请求分页数据
     */
    public static void startPage() {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPageNum();
        Integer pageSize = pageDomain.getPageSize();
        String orderBy = SqlUtil.escapeOrderBySql(pageDomain.getOrderBy());
        Boolean reasonable = pageDomain.getReasonable();
        PageHelper.startPage(pageNum, pageSize, orderBy).setReasonable(reasonable);
    }

    /**
     * 清理分页的线程变量
     */
    public static void clearPage() {
        PageHelper.clearPage();
    }
}
